Upsert Siteʼs Checkout URL

Creates or updates (upserts) a siteʼs checkout URL <Callout type="info"> For the "urls" object, we no longer modify the `www` prefix of the primary URL. The API returns URLs exactly as the customer enters them, similar to the "url" field. * If the customer saves a URL with `www`, the API returns it with `www`. * If the customer saves a URL without `www`, the API returns it without `www`. </Callout>

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idstringRequired

Request

urlstringOptionalformat: "uri"

Unique site checkout URL. It must be valid and a sub-domain of the primary channel URL. Note: The API will change all URLs using the HTTP protocol to HTTPS.

Response

OK
idinteger
The ID of the site.
urlstring

The fully qualified URL (including host and scheme) where this site is hosted. All URLs generated for this site will be appended to this.

channel_idinteger
The channel to which this site is attached. Each site belongs to a single channel, and each channel can have either zero or more sites.
created_atdatetime
The date-time that this site was created, formatted as an [RFC-3339](https://www.ietf.org/rfc/rfc3339.txt) string.
updated_atdatetime
The date-time that this site was last updated, formatted as an [RFC-3339](https://www.ietf.org/rfc/rfc3339.txt) string.
ssl_statusenum

Indicates if a private/dedicated SSL is installed on this site, or if itʼs using shared SSL.

Allowed values:
urlslist of objects

All URLs that belong to the site, including primary, canonical, and checkout URLs.

is_checkout_url_customizedboolean

Indicates whether the channel uses a custom checkout domain. When false, the checkout domain falls back to the default channel’s primary URL.

Errors

422
Unprocessable Entity Error